﻿Public Class StartForm

    ' String型のクラス変数
    Private strValue(2) As String

    ''' <summary>Formのロード</summary> 
    Private Sub GroupBox1_Enter(sender As Object, e As EventArgs) Handles GroupBox1.Enter
        strValue(0) = "server"    'デフォルト
        strValue(1) = "localhost" 'デフォルト
    End Sub

    ''' <summary> ShowDialogメソッドのオーバーロード</summary>
    Public Overloads Function ShowDialog() As String()
        MyBase.ShowDialog() ''ベースクラスのShowDialogを呼出す

        Return strValue     'strValueが戻り値となる

    End Function

    Private Sub btnNext_Click(sender As Object, e As EventArgs) Handles btnNext.Click

        If txtAddress.Text = "" Then
            If txtAddress.Enabled Then
                MessageBox.Show("Please enter the Address", "Exception", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Else
                strValue(0) = "client"
                Me.Close()
            End If
        Else
            If rdbServer.Checked Then
                strValue(0) = "server"
            Else
                strValue(0) = "client"
            End If

            strValue(1) = txtAddress.Text

            Me.Close()
        End If

    End Sub

    'Enterkeyで進む
    Private Sub txtAddress_KeyDown(sender As Object, e As KeyEventArgs) Handles txtAddress.KeyDown
        If e.KeyCode = Keys.Enter Then
            btnNext_Click(sender, e)
        End If
    End Sub

    'Clientが選択された
    Private Sub rdbClient_CheckedChanged(sender As Object, e As EventArgs) Handles rdbClient.CheckedChanged
        If rdbClient.Checked Then
            txtAddress.Enabled = False
        Else
            txtAddress.Enabled = True
        End If
    End Sub
    
End Class
